@import url("root.css");

button:not(.navbar-toggler) {
    padding: 15px 40px;
    background: var(--light-gold);
    border: 0;
    color: var(--primary);
    text-transform: uppercase;
    font-size: 12px;
    letter-spacing: 3px;
    position: relative;
    transition: all 0.4s cubic-bezier(0.645, 0.045, 0.355, 1);
    cursor: pointer;
    display: block;
    margin: 100px auto;
}

button:not(.navbar-toggler)::after,
button:not(.navbar-toggler)::before {
    content: "";
    position: absolute;
    top: 50%;
    right: 0px;
    transform: translateY(-50%);
    opacity: 0;
    transition: all 0.4s cubic-bezier(0.645, 0.045, 0.355, 1);
}

button:not(.navbar-toggler)::after {
    width: 30px;
    height: 1px;
    background: var(--white);
    transform: translateX(-3px);
    margin-top: 0px;
}

button:not(.navbar-toggler)::before {
    content: "";
    transform: rotate(-135deg) translateX(50%);
    width: 11px;
    height: 11px;
    background: transparent;
    border-left: 1px solid var(--white);
    border-bottom: 1px solid var(--white);
    margin-top: -1px;
}

button:not(.navbar-toggler):hover {
    padding: 15px 60px 15px 20px;
    background-color: var(--primary);
    color: var(--white);
}

button:not(.navbar-toggler):hover::after,
button:not(.navbar-toggler):hover::before {
    opacity: 1;
    right: 15px;
}
